
# This file is automatically generated, you probably don't want to edit this

jamoviBAplotHistogramOptions <- if (requireNamespace('jmvcore')) R6::R6Class(
    "jamoviBAplotHistogramOptions",
    inherit = jmvcore::Options,
    public = list(
        initialize = function(
            method1 = NULL,
            method2 = NULL, ...) {

            super$initialize(
                package='blandr',
                name='jamoviBAplotHistogram',
                requiresData=TRUE,
                ...)

            private$..method1 <- jmvcore::OptionVariable$new(
                "method1",
                method1,
                suggested=list(
                    "continuous"),
                permitted=list(
                    "continuous",
                    "nominal",
                    "ordinal"))
            private$..method2 <- jmvcore::OptionVariable$new(
                "method2",
                method2,
                suggested=list(
                    "continuous"),
                permitted=list(
                    "continuous",
                    "nominal",
                    "ordinal"))

            self$.addOption(private$..method1)
            self$.addOption(private$..method2)
        }),
    active = list(
        method1 = function() private$..method1$value,
        method2 = function() private$..method2$value),
    private = list(
        ..method1 = NA,
        ..method2 = NA)
)

jamoviBAplotHistogramResults <- if (requireNamespace('jmvcore')) R6::R6Class(
    inherit = jmvcore::Group,
    active = list(
        plot = function() private$.items[["plot"]]),
    private = list(),
    public=list(
        initialize=function(options) {
            super$initialize(
                options=options,
                name="",
                title="Bland-Altman differences histogram and density curve")
            self$add(jmvcore::Image$new(
                options=options,
                name="plot",
                width=600,
                height=450,
                renderFun=".plot"))}))

jamoviBAplotHistogramBase <- if (requireNamespace('jmvcore')) R6::R6Class(
    "jamoviBAplotHistogramBase",
    inherit = jmvcore::Analysis,
    public = list(
        initialize = function(options, data=NULL, datasetId="", analysisId="", revision=0) {
            super$initialize(
                package = 'blandr',
                name = 'jamoviBAplotHistogram',
                version = c(1,0,0),
                options = options,
                results = jamoviBAplotHistogramResults$new(options=options),
                data = data,
                datasetId = datasetId,
                analysisId = analysisId,
                revision = revision,
                pause = NULL,
                completeWhenFilled = FALSE)
        }))

#' Differences Histogram and Density Curve
#'
#' 
#' @param data .
#' @param method1 .
#' @param method2 .
#' @return A results object containing:
#' \tabular{llllll}{
#'   \code{results$plot} \tab \tab \tab \tab \tab an image \cr
#' }
#'
#' @export
jamoviBAplotHistogram <- function(
    data,
    method1,
    method2) {

    if ( ! requireNamespace('jmvcore'))
        stop('jamoviBAplotHistogram requires jmvcore to be installed (restart may be required)')

    options <- jamoviBAplotHistogramOptions$new(
        method1 = method1,
        method2 = method2)

    results <- jamoviBAplotHistogramResults$new(
        options = options)

    analysis <- jamoviBAplotHistogramClass$new(
        options = options,
        data = data)

    analysis$run()

    analysis$results
}
