
# This file is automatically generated, you probably don't want to edit this

jamoviBAstatsOptions <- if (requireNamespace('jmvcore')) R6::R6Class(
    "jamoviBAstatsOptions",
    inherit = jmvcore::Options,
    public = list(
        initialize = function(
            method1 = NULL,
            method2 = NULL, ...) {

            super$initialize(
                package='blandr',
                name='jamoviBAstats',
                requiresData=TRUE,
                ...)

            private$..method1 <- jmvcore::OptionVariable$new(
                "method1",
                method1,
                suggested=list(
                    "continuous"),
                permitted=list(
                    "continuous",
                    "nominal",
                    "ordinal"))
            private$..method2 <- jmvcore::OptionVariable$new(
                "method2",
                method2,
                suggested=list(
                    "continuous"),
                permitted=list(
                    "continuous",
                    "nominal",
                    "ordinal"))

            self$.addOption(private$..method1)
            self$.addOption(private$..method2)
        }),
    active = list(
        method1 = function() private$..method1$value,
        method2 = function() private$..method2$value),
    private = list(
        ..method1 = NA,
        ..method2 = NA)
)

jamoviBAstatsResults <- if (requireNamespace('jmvcore')) R6::R6Class(
    inherit = jmvcore::Group,
    active = list(
        text = function() private$.items[["text"]]),
    private = list(),
    public=list(
        initialize=function(options) {
            super$initialize(
                options=options,
                name="",
                title="Bland-Altman Statistics")
            self$add(jmvcore::Preformatted$new(
                options=options,
                name="text",
                title="Bland-Altman statistics"))}))

jamoviBAstatsBase <- if (requireNamespace('jmvcore')) R6::R6Class(
    "jamoviBAstatsBase",
    inherit = jmvcore::Analysis,
    public = list(
        initialize = function(options, data=NULL, datasetId="", analysisId="", revision=0) {
            super$initialize(
                package = 'blandr',
                name = 'jamoviBAstats',
                version = c(1,0,0),
                options = options,
                results = jamoviBAstatsResults$new(options=options),
                data = data,
                datasetId = datasetId,
                analysisId = analysisId,
                revision = revision,
                pause = NULL,
                completeWhenFilled = FALSE)
        }))

#' Bland-Altman Raw Statistics
#'
#' 
#' @param data .
#' @param method1 .
#' @param method2 .
#' @return A results object containing:
#' \tabular{llllll}{
#'   \code{results$text} \tab \tab \tab \tab \tab a preformatted \cr
#' }
#'
#' @export
jamoviBAstats <- function(
    data,
    method1,
    method2) {

    if ( ! requireNamespace('jmvcore'))
        stop('jamoviBAstats requires jmvcore to be installed (restart may be required)')

    options <- jamoviBAstatsOptions$new(
        method1 = method1,
        method2 = method2)

    results <- jamoviBAstatsResults$new(
        options = options)

    analysis <- jamoviBAstatsClass$new(
        options = options,
        data = data)

    analysis$run()

    analysis$results
}
